GNU bug report logs - #58309
[BUG Report] found a bug?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Frank Pursel <frank.pursel@HIDDEN>; dated Wed, 5 Oct 2022 16:46:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 58309 <at> debbugs.gnu.org:


Received: (at 58309) by debbugs.gnu.org; 20 Oct 2022 14:12:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 10:12:09 2022
Received: from localhost ([127.0.0.1]:35882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olWHJ-0005v4-58
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 10:12:09 -0400
Received: from mail-qv1-f52.google.com ([209.85.219.52]:33783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <frank.pursel@HIDDEN>) id 1olWHG-0005uZ-EX
 for 58309 <at> debbugs.gnu.org; Thu, 20 Oct 2022 10:12:07 -0400
Received: by mail-qv1-f52.google.com with SMTP id i9so13601861qvo.0
 for <58309 <at> debbugs.gnu.org>; Thu, 20 Oct 2022 07:12:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=fYqnQNcmhB0pKd6+inGYSPamWgFmgxsMhrgqCFsgdVA=;
 b=eTu7BTQ2rp+MpSQo+rv5uDP4878R1vuzTjbahwvVtXdbpgqR/H7Sd6MisVDeszBMSb
 0NdjLWjP7gahCJPmovexwlpckx4m5brrwqEKhc949Lvg1kW6ZzyBslAK/e/PuFYt+xbU
 aBjp3GmSLosbkgSnAcODyOjFZhtJQ2aOBQpa4bpYavrNtaZ9Q6hlUC9biJ5fNg/pBgG9
 BB+Q/1JKO2dikL0Ax/3wJspicbzuT0XK2QJI6iryBQuVFA00a2e2J8TscAUNvSEy8J/8
 F3Pr0METLa5v9s9Y4axAaFaEObdwEftuPSLj00/LJnj5UCvJ/u951SxQz9k/yWKJj7yk
 YZ4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=fYqnQNcmhB0pKd6+inGYSPamWgFmgxsMhrgqCFsgdVA=;
 b=lPhXeGIhHCmIJlcXs3GlEwAQ1wjABVT7IXMdSJRtGhXP2D/191TUfObtn6x+EYcBgG
 sTaYpSvRYpuUb60JsSIqUppu4LOYr6+x1yM9SCcu46bbcrLuTC/Ys/rLJoRAu4fGAu9Y
 fvZvgPQdo938Fbisk8NmCaD5VNUNQBHYAGmMK7HPjcH+UeXdbwbsz1/JqNKiW4gJ0Nl2
 evHwb+tDmBxDRAw77rDx1Q9B1GPMRlW94YEB+cB+8IIG3DHkd78EPsRBk74kjWhSSQ+W
 Wr5NTH1dEMWmatmqSMfX8kWQUbUYE6ULt6KxVzc65P+tTmZTLKJBleJvw5fEQQ54v+JQ
 +b/w==
X-Gm-Message-State: ACrzQf1I9Z1JQMjmkiw6wdRwLAL7Lt/dLJC/NJMyHEkhrWu6x+WonOWu
 uAx/PLeYNdPFKv392FjAeS4dpAYb/V+dvyZqgyOzEkjnmag=
X-Google-Smtp-Source: AMsMyM4FJ9BRgQuW2calxfzvXUDvMFmi2K3Misv/qB306hip3xtONDSYZEiu4veKa0zeBkcUmx8MJEYL6uFdVllca/w=
X-Received: by 2002:ad4:5968:0:b0:4b4:7d98:7ede with SMTP id
 eq8-20020ad45968000000b004b47d987edemr11477546qvb.130.1666275119593; Thu, 20
 Oct 2022 07:11:59 -0700 (PDT)
MIME-Version: 1.0
References: <87h70imd7u.fsf@HIDDEN>
 <87edvmm9t7.fsf@HIDDEN>
 <388ccfb0-be0d-e172-c83a-efa2c36543d7@HIDDEN>
In-Reply-To: <388ccfb0-be0d-e172-c83a-efa2c36543d7@HIDDEN>
From: Frank Pursel <frank.pursel@HIDDEN>
Date: Thu, 20 Oct 2022 07:11:47 -0700
Message-ID: <CANp2FMc=XPv43H7-rcQ68hHbTmyWrQuhXfT9YkWp_N=W8QHrzg@HIDDEN>
Subject: Re: bug#58309: [BUG Report] found a bug? followup
To: Maxime Devos <maximedevos@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000099fc2c05eb77e8a9"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58309
Cc: 58309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000099fc2c05eb77e8a9
Content-Type: text/plain; charset="UTF-8"

In hindsight, these errors occurred while my local network had a
degradation that, no doubt, caused some file transfer interruptions.  I
think this is to blame for these problems -- but -- I believe this may
still point to opportunities to make guix file transfers more robust.
Interrupted file transfers should be detected and, queued for retry, and
not result in store corruption or reports of store corruption.  Perhaps
this problem occurs when incomplete file transfers are prematurely
committed to the store?

On Wed, Oct 19, 2022 at 10:32 AM Maxime Devos <maximedevos@HIDDEN>
wrote:

>
>
> On 05-10-2022 19:58, Frank Pursel wrote:
> > Performed another 'guix pull' to receive one more change which led to
> > the additional reporting:
> >
> > guile-ssh-0.15.1-debug  238KiB 227.0MiB/s 00:00 [##################]
> 100.0%
> > Backtrace::
> >            15 (primitive-load
> "/gnu/store/k76q0ikk8a7769b0d2b9y3jj2mpaywh0-compute-guix-derivation")
> > In ice-9/eval.scm:
> >      155:9 14 (_ _)
> >      159:9 13 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?>
> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
> > In ice-9/boot-9.scm:
> >      152:2 12 (with-fluid* _ _ _)
> >      152:2 11 (with-fluid* _ _ _)
> > In ./guix/store.scm:
> >    2165:24 10 (run-with-store #<store-connection 256.99 7f657621c140>
> #<procedure 7f656de87c80 at ./guix/self.scm:12?> ?)
> >     1993:8  9 (_ #<store-connection 256.99 7f657621c140>)
> > In ./guix/gexp.scm:
> >     300:22  8 (_ #<store-connection 256.99 7f657621c140>)
> >     1181:2  7 (_ #<store-connection 256.99 7f65668495f0>)
> >     1047:2  6 (_ #<store-connection 256.99 7f65668495f0>)
> >      893:4  5 (_ #<store-connection 256.99 7f65668495f0>)
> > In ./guix/store.scm:
> >    2050:12  4 (_ #<store-connection 256.99 7f65668495f0>)
> >    1402:13  3 (map/accumulate-builds #<store-connection 256.99
> 7f65668495f0> #<procedure 7f65618e48e0 at ./guix/stor?> ?)
> >     1398:5  2 (map/accumulate-builds #<store-connection 256.99
> 7f65668495f0> #<procedure 7f656a61b840 at ./guix/stor?> ?)
> >    1414:15  1 (_ #<store-connection 256.99 7f65668495f0>
> ("/gnu/store/063db2n6gr2pqvy77fxp82p0ki6vwklz-guile-avah?" ?) ?)
> >    1414:15  0 (loop #f)
> >
>
> Looks like a duplicate of the second part of
> <https://issues.guix.gnu.org/58149#0>,
> <https://issues.guix.gnu.org/53736#0> (*),
> <https://issues.guix.gnu.org/53904>, <https://issues.guix.gnu.org/53974>
> and <https://issues.guix.gnu.org/54708>.
>
> (*) I think this one is interesting, as it seems to indicate that build
> errors of packages aren't handled during "guix pull" -- there is a patch
> available for that, though not applied yet IIRC.
>
> Greetings,
> Maxime.
>

--00000000000099fc2c05eb77e8a9
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">In hindsight, these errors occurred while my local network=
 had a degradation that, no doubt, caused some file transfer interruptions.=
=C2=A0 I think this is to blame for these problems -- but -- I believe this=
 may still point to opportunities to make guix file transfers more robust.=
=C2=A0 Interrupted file transfers should be detected and, queued for retry,=
 and not result in store corruption or reports of store corruption.=C2=A0 P=
erhaps this problem occurs when incomplete file transfers are prematurely c=
ommitted to the store? =C2=A0=C2=A0 <br></div><br><div class=3D"gmail_quote=
"><div dir=3D"ltr" class=3D"gmail_attr">On Wed, Oct 19, 2022 at 10:32 AM Ma=
xime Devos &lt;<a href=3D"mailto:maximedevos@HIDDEN">maximedevos@telene=
t.be</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"mar=
gin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1=
ex"><br>
<br>
On 05-10-2022 19:58, Frank Pursel wrote:<br>
&gt; Performed another &#39;guix pull&#39; to receive one more change which=
 led to<br>
&gt; the additional reporting:<br>
&gt; <br>
&gt; guile-ssh-0.15.1-debug=C2=A0 238KiB 227.0MiB/s 00:00 [################=
##] 100.0%<br>
&gt; Backtrace::<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 15 (primitive-load &quot;/gnu=
/store/k76q0ikk8a7769b0d2b9y3jj2mpaywh0-compute-guix-derivation&quot;)<br>
&gt; In ice-9/eval.scm:<br>
&gt;=C2=A0 =C2=A0 =C2=A0 155:9 14 (_ _)<br>
&gt;=C2=A0 =C2=A0 =C2=A0 159:9 13 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#&lt;d=
irectory (guile-u?&gt; ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))<br>
&gt; In ice-9/boot-9.scm:<br>
&gt;=C2=A0 =C2=A0 =C2=A0 152:2 12 (with-fluid* _ _ _)<br>
&gt;=C2=A0 =C2=A0 =C2=A0 152:2 11 (with-fluid* _ _ _)<br>
&gt; In ./guix/store.scm:<br>
&gt;=C2=A0 =C2=A0 2165:24 10 (run-with-store #&lt;store-connection 256.99 7=
f657621c140&gt; #&lt;procedure 7f656de87c80 at ./guix/self.scm:12?&gt; ?)<b=
r>
&gt;=C2=A0 =C2=A0 =C2=A01993:8=C2=A0 9 (_ #&lt;store-connection 256.99 7f65=
7621c140&gt;)<br>
&gt; In ./guix/gexp.scm:<br>
&gt;=C2=A0 =C2=A0 =C2=A0300:22=C2=A0 8 (_ #&lt;store-connection 256.99 7f65=
7621c140&gt;)<br>
&gt;=C2=A0 =C2=A0 =C2=A01181:2=C2=A0 7 (_ #&lt;store-connection 256.99 7f65=
668495f0&gt;)<br>
&gt;=C2=A0 =C2=A0 =C2=A01047:2=C2=A0 6 (_ #&lt;store-connection 256.99 7f65=
668495f0&gt;)<br>
&gt;=C2=A0 =C2=A0 =C2=A0 893:4=C2=A0 5 (_ #&lt;store-connection 256.99 7f65=
668495f0&gt;)<br>
&gt; In ./guix/store.scm:<br>
&gt;=C2=A0 =C2=A0 2050:12=C2=A0 4 (_ #&lt;store-connection 256.99 7f6566849=
5f0&gt;)<br>
&gt;=C2=A0 =C2=A0 1402:13=C2=A0 3 (map/accumulate-builds #&lt;store-connect=
ion 256.99 7f65668495f0&gt; #&lt;procedure 7f65618e48e0 at ./guix/stor?&gt;=
 ?)<br>
&gt;=C2=A0 =C2=A0 =C2=A01398:5=C2=A0 2 (map/accumulate-builds #&lt;store-co=
nnection 256.99 7f65668495f0&gt; #&lt;procedure 7f656a61b840 at ./guix/stor=
?&gt; ?)<br>
&gt;=C2=A0 =C2=A0 1414:15=C2=A0 1 (_ #&lt;store-connection 256.99 7f6566849=
5f0&gt; (&quot;/gnu/store/063db2n6gr2pqvy77fxp82p0ki6vwklz-guile-avah?&quot=
; ?) ?)<br>
&gt;=C2=A0 =C2=A0 1414:15=C2=A0 0 (loop #f)<br>
&gt; <br>
<br>
Looks like a duplicate of the second part of <br>
&lt;<a href=3D"https://issues.guix.gnu.org/58149#0" rel=3D"noreferrer" targ=
et=3D"_blank">https://issues.guix.gnu.org/58149#0</a>&gt;, <br>
&lt;<a href=3D"https://issues.guix.gnu.org/53736#0" rel=3D"noreferrer" targ=
et=3D"_blank">https://issues.guix.gnu.org/53736#0</a>&gt; (*), <br>
&lt;<a href=3D"https://issues.guix.gnu.org/53904" rel=3D"noreferrer" target=
=3D"_blank">https://issues.guix.gnu.org/53904</a>&gt;, &lt;<a href=3D"https=
://issues.guix.gnu.org/53974" rel=3D"noreferrer" target=3D"_blank">https://=
issues.guix.gnu.org/53974</a>&gt; <br>
and &lt;<a href=3D"https://issues.guix.gnu.org/54708" rel=3D"noreferrer" ta=
rget=3D"_blank">https://issues.guix.gnu.org/54708</a>&gt;.<br>
<br>
(*) I think this one is interesting, as it seems to indicate that build <br=
>
errors of packages aren&#39;t handled during &quot;guix pull&quot; -- there=
 is a patch <br>
available for that, though not applied yet IIRC.<br>
<br>
Greetings,<br>
Maxime.<br>
</blockquote></div>

--00000000000099fc2c05eb77e8a9--




Information forwarded to bug-guix@HIDDEN:
bug#58309; Package guix. Full text available.

Message received at 58309 <at> debbugs.gnu.org:


Received: (at 58309) by debbugs.gnu.org; 19 Oct 2022 17:32:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 19 13:32:55 2022
Received: from localhost ([127.0.0.1]:59988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olCw3-00065p-JO
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2022 13:32:55 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:51692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1olCw0-00065g-UI
 for 58309 <at> debbugs.gnu.org; Wed, 19 Oct 2022 13:32:54 -0400
Received: from [192.168.8.79] ([188.188.216.187])
 by albert.telenet-ops.be with bizsmtp
 id ZtYp2800m43AUkk06tYqBC; Wed, 19 Oct 2022 19:32:51 +0200
Message-ID: <388ccfb0-be0d-e172-c83a-efa2c36543d7@HIDDEN>
Date: Wed, 19 Oct 2022 19:32:49 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.3.1
Subject: Re: bug#58309: [BUG Report] found a bug? followup
Content-Language: en-US
To: Frank Pursel <frank.pursel@HIDDEN>, 58309 <at> debbugs.gnu.org
References: <87h70imd7u.fsf@HIDDEN>
 <87edvmm9t7.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <87edvmm9t7.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------pey0drGZHInybOEiN10fC9GE"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1666200771; bh=8PwgrruG/JvbmCdgA8KDUQBWjFFJmEOn3B3OUjxhRpg=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=QMH21Hi/pL8UJ9h1QShOt4PJrrofndops3HrKIzMAGhunHodBudlhk6SRoUJtsVDq
 g+FzBgQ+Ftt4xGTG60EzPUPWEtkfPZjHOaOoUW3v/iLB93jqwWBk9oLA8uKL7GPXl+
 xk88nuESfUSvnikFtDZwELn3/COV6oyiLLBM821FAqoniDwgqdSRQSAKGHrdfruUAr
 NsUovOARsMokw+UJFZTIEof5Y7LtsJfOw45Qw+nnRuYAjrdbunSE+wlIO7MF29dJrv
 zlcV0Fv9nCk6m0VanoSkZvLD1+fqVxnKlx+bJlCpFmL3K4DY+KYqUwI2iAexerHF3F
 1QbgEs7wKpqew==
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 58309
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------pey0drGZHInybOEiN10fC9GE
Content-Type: multipart/mixed; boundary="------------Jerqw6TywfEswmep7L3l0vZZ";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Frank Pursel <frank.pursel@HIDDEN>, 58309 <at> debbugs.gnu.org
Message-ID: <388ccfb0-be0d-e172-c83a-efa2c36543d7@HIDDEN>
Subject: Re: bug#58309: [BUG Report] found a bug? followup
References: <87h70imd7u.fsf@HIDDEN>
 <87edvmm9t7.fsf@HIDDEN>
In-Reply-To: <87edvmm9t7.fsf@HIDDEN>

--------------Jerqw6TywfEswmep7L3l0vZZ
Content-Type: multipart/mixed; boundary="------------YJYdh6fqAE5gfQVYEexz8Tri"

--------------YJYdh6fqAE5gfQVYEexz8Tri
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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--------------YJYdh6fqAE5gfQVYEexz8Tri
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------YJYdh6fqAE5gfQVYEexz8Tri--

--------------Jerqw6TywfEswmep7L3l0vZZ--

--------------pey0drGZHInybOEiN10fC9GE
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCY1A0wQUDAAAAAAAKCRBJ4+4iGRcl7rRb
AP498ErMakRcDS5uAFjg6aG9vqqVinYdJpSixrj2F9zaYwEAttUWZDEUWFqMqDUXniGbQg6RrA/s
Yi3eMuQx0w6NiwU=
=hMYN
-----END PGP SIGNATURE-----

--------------pey0drGZHInybOEiN10fC9GE--




Information forwarded to bug-guix@HIDDEN:
bug#58309; Package guix. Full text available.

Message received at 58309 <at> debbugs.gnu.org:


Received: (at 58309) by debbugs.gnu.org; 19 Oct 2022 17:27:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 19 13:27:17 2022
Received: from localhost ([127.0.0.1]:59970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olCqa-0005vj-JU
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2022 13:27:16 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:45930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1olCqX-0005vZ-D4
 for 58309 <at> debbugs.gnu.org; Wed, 19 Oct 2022 13:27:15 -0400
Received: from [192.168.8.79] ([188.188.216.187])
 by michel.telenet-ops.be with bizsmtp
 id ZtT82800P43AUkk06tTAtT; Wed, 19 Oct 2022 19:27:11 +0200
Message-ID: <b40f65e5-1dbd-878e-e743-5f20c4184c58@HIDDEN>
Date: Wed, 19 Oct 2022 19:27:08 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.3.1
Subject: Re: bug#58309: [BUG Report] found a bug?
Content-Language: en-US
To: Frank Pursel <frank.pursel@HIDDEN>, 58309 <at> debbugs.gnu.org
References: <87h70imd7u.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <87h70imd7u.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------fP496kuqkYw2cIlckiY1uyZU"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1666200432; bh=K9VAb+2AkfoVReWKAycSNVizl00zy+HCSjDtFr2J6Zo=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=YT6S67XTKSADYf5epVhYppmrF5k8SS56ZYywgOrK0tDrk8ZX+s9M6DRFawYCqOEHv
 UWLBxkOkzNog82GJ1v3B8ngdbvALQ/+0MJCoulX9Hu5z3QTsW3ZLuGxq6l7Uyu/Q2B
 bslCo904bY3DuBkXk8Otf9ZxHKRwZJAUF1N9hPIc+aj/W43klCnOev7uq2sw4pASkX
 NN5bt/WzGqM7T36y79MO2TMAH2wxiBycBY4WpSxQQSTz7RSbSGSaysMSxcEAxNmGvh
 kTwONcQhharkW3ZJAEEsUvcQ44+UTn8h258+Ns9x3sKgGmMUbxxPPcC8DTkfkZ2QXi
 TdVmW+sEZhDfA==
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 58309
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------fP496kuqkYw2cIlckiY1uyZU
Content-Type: multipart/mixed; boundary="------------L3M513VF6Ey7BY4SajCk6ZA1";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Frank Pursel <frank.pursel@HIDDEN>, 58309 <at> debbugs.gnu.org
Message-ID: <b40f65e5-1dbd-878e-e743-5f20c4184c58@HIDDEN>
Subject: Re: bug#58309: [BUG Report] found a bug?
References: <87h70imd7u.fsf@HIDDEN>
In-Reply-To: <87h70imd7u.fsf@HIDDEN>

--------------L3M513VF6Ey7BY4SajCk6ZA1
Content-Type: multipart/mixed; boundary="------------pAg36YYPwGwgG4mmGxjsJ59g"

--------------pAg36YYPwGwgG4mmGxjsJ59g
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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--------------pAg36YYPwGwgG4mmGxjsJ59g
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------pAg36YYPwGwgG4mmGxjsJ59g--

--------------L3M513VF6Ey7BY4SajCk6ZA1--

--------------fP496kuqkYw2cIlckiY1uyZU
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCY1AzbAUDAAAAAAAKCRBJ4+4iGRcl7pw5
AP9ZPXaILMUhcO6jaflrD9mOSsGdyRVGos3VfMxi3Nsd4gD9HK9rgayeKzU57Vu7Yu/WwpJ9wPq1
sbFUvW6ZnpdkAw4=
=Yi69
-----END PGP SIGNATURE-----

--------------fP496kuqkYw2cIlckiY1uyZU--




Information forwarded to bug-guix@HIDDEN:
bug#58309; Package guix. Full text available.

Message received at 58309 <at> debbugs.gnu.org:


Received: (at 58309) by debbugs.gnu.org; 19 Oct 2022 14:00:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 19 10:00:25 2022
Received: from localhost ([127.0.0.1]:59621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ol9cP-0003Wm-5Z
	for submit <at> debbugs.gnu.org; Wed, 19 Oct 2022 10:00:25 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:45854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ol9c0-0002Tv-SB
 for 58309 <at> debbugs.gnu.org; Wed, 19 Oct 2022 10:00:09 -0400
Received: by mail-wm1-f52.google.com with SMTP id
 l16-20020a05600c4f1000b003c6c0d2a445so58979wmq.4
 for <58309 <at> debbugs.gnu.org>; Wed, 19 Oct 2022 07:00:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=8knqV7/lvQQ5YqpzlNyvuQlPDHfCCA/UV5F3HU+3XCk=;
 b=kPsRktT/VI18VYMrdEPvD/1fp+ME/5MBFEEm+AP/KzgYEg+EV+nrU7TtTlKDdor0kG
 mGroI0cUzOpV5RIzqRO6PYpMZ/WIz0iEuuww32l0hMmc32AJ4e8RMuOEwupueTAxvg3p
 HZBDcTzxC4MNxQ4pMsBxFuubbE4FwF9D2LpvMM1e0yBmDLrjuCn11XZ/FYO0QxDTBdT1
 XV7X98oiIZrruqgFXsI3R3aPwlYZ1zyxRThuT2UVS0MIw8haQHuIYHhAqrcvDTICuprp
 qkIHpLNoH84x0tgvjrWEp7GfKitHJYe1dW0Yq/ugX/Mub8HMgNnLLJzMM8jgtXSc8GkG
 vp1w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=8knqV7/lvQQ5YqpzlNyvuQlPDHfCCA/UV5F3HU+3XCk=;
 b=X7Lqdl0GioTcDdxuSgS0qhX+HDC2PlUhYRpSz0bP7GenhBXD7iN70uHFg/1hoq1t6R
 1FfJLLH94e6bwXzE8dDPg9v2j5F5zuayvIWeHH+5GSjPGEg9hLHCnI/t5uB8nQ0Gu5lC
 o4GkvsU9Wt89qh3UXliaYCOJ3AUcN7A7ew25FFro7kk6zHUZpoTGxROkv9g75cfpFxY9
 /FgnlVgW1uXYienvZ/7XJ/jAe2LyhNzpzdyT2G15LOydXAd6VW30qCF2ku9eO19Eera+
 6shJAvdRS2HnMkqXbVJ183vBFqCPop0qc8JfolUzZ79v9/VtXQIxDVLIpr9sHHdUeGFL
 g6ng==
X-Gm-Message-State: ACrzQf2fELGPNV/VixGTPmK4leE0p923DcgA4Fm3+JFiix5d7rn9iIqw
 6zH6+WdrJoC6ngx3uySb7tihEeGsjko=
X-Google-Smtp-Source: AMsMyM7RygWbi89dzm9HHqPPGiB1LRHnDk67q2uNHuWcTz7YIK96Fco9h8WolZZIlWnu6VzcjofZXw==
X-Received: by 2002:a7b:c841:0:b0:3c6:ce2f:3438 with SMTP id
 c1-20020a7bc841000000b003c6ce2f3438mr5864087wml.51.1666187994427; 
 Wed, 19 Oct 2022 06:59:54 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 d5-20020a056000114500b0022b014fb0b7sm13977344wrx.110.2022.10.19.06.59.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 19 Oct 2022 06:59:53 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Frank Pursel <frank.pursel@HIDDEN>
Subject: Re: bug#58309: [BUG Report] found a bug?
References: <87h70imd7u.fsf@HIDDEN>
 <878rlrn1d4.fsf@HIDDEN>
Date: Wed, 19 Oct 2022 12:48:14 +0200
In-Reply-To: <878rlrn1d4.fsf@HIDDEN> (Frank
 Pursel's message of "Fri, 07 Oct 2022 07:40:23 -0700")
Message-ID: <86wn8wnl75.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, On Fri, 07 Oct 2022 at 07:40,
 Frank Pursel wrote: > Running
 guix pull succeeded. It isn't clear what changed to allow it to > succeed
 when it had repeatedly failed over the past 48 hrs but this > ticket should
 now be closed. I am grateful for the hid [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.52 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.52 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 58309
Cc: 58309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Hi,

On Fri, 07 Oct 2022 at 07:40, Frank Pursel <frank.pursel@HIDDEN> wrote:

> Running guix pull succeeded.  It isn't clear what changed to allow it to
> succeed when it had repeatedly failed over the past 48 hrs but this
> ticket should now be closed.  I am grateful for the hidden hands and/or
> magic that made this possible.

Thank you for your follow-up.

Hum, your both errors are weird.  The first one,

--8<---------------cut here---------------start------------->8---
 gnutls-3.7.2-doc  1.0MiB 659KiB/s 00:01 [###############   ]  84.1-Backtrace:
          18 (primitive-load "/gnu/store/8b0z5hm1kxha84g367yfshxjf1q4kka2-compute-guix-derivation")
In ice-9/eval.scm:

[...]

In ./guix/serialization.scm:
   102:11  1 (read-int #<input-output: file 10>)
     80:6  0 (get-bytevector-n* #<input-output: file 10> 8)

./guix/serialization.scm:80:6: In procedure get-bytevector-n*:
--8<---------------cut here---------------end--------------->8---

and the second one,

--8<---------------cut here---------------start------------->8---
guile-ssh-0.15.1-debug  238KiB 227.0MiB/s 00:00 [##################] 100.0%
Backtrace::
          15 (primitive-load "/gnu/store/k76q0ikk8a7769b0d2b9y3jj2mpaywh0-compute-guix-derivation")

[...]

In ./guix/store.scm:
  2050:12  4 (_ #<store-connection 256.99 7f65668495f0>)
  1402:13  3 (map/accumulate-builds #<store-connection 256.99 7f65668495f0> #<procedure 7f65618e48e0 at ./guix/stor?> ?)
   1398:5  2 (map/accumulate-builds #<store-connection 256.99 7f65668495f0> #<procedure 7f656a61b840 at ./guix/stor?> ?)
  1414:15  1 (_ #<store-connection 256.99 7f65668495f0> ("/gnu/store/063db2n6gr2pqvy77fxp82p0ki6vwklz-guile-avah?" ?) ?)
  1414:15  0 (loop #f)

./guix/store.scm:1414:15: In procedure loop:
--8<---------------cut here---------------end--------------->8---

Do you have issues with your store?  Maybe faulty?


Cheers,
simon

PS: Note you can close yourself the issue by replying to
58309-done <at> debbugs.gnu.org. :-)




Information forwarded to bug-guix@HIDDEN:
bug#58309; Package guix. Full text available.

Message received at 58309 <at> debbugs.gnu.org:


Received: (at 58309) by debbugs.gnu.org; 7 Oct 2022 14:40:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 07 10:40:32 2022
Received: from localhost ([127.0.0.1]:37042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ogoWe-0004cD-Du
	for submit <at> debbugs.gnu.org; Fri, 07 Oct 2022 10:40:32 -0400
Received: from mail-pj1-f43.google.com ([209.85.216.43]:42937)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <frank.pursel@HIDDEN>) id 1ogoWc-0004bt-Rs
 for 58309 <at> debbugs.gnu.org; Fri, 07 Oct 2022 10:40:31 -0400
Received: by mail-pj1-f43.google.com with SMTP id
 l1-20020a17090a72c100b0020a6949a66aso4951533pjk.1
 for <58309 <at> debbugs.gnu.org>; Fri, 07 Oct 2022 07:40:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:subject:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=ngixVgPobmG92uhg44nI1xIHBKzpcuKlhbFiuUamQ5U=;
 b=f8GSEcOd/yPBh3A2JpRL+zaOBLRVGKbQ+JidgUM8o5P+CNjVeu04T1PBSlQhZhC5rx
 RR3IlgA9PU4LpWBXNotiQTkuM7rRPmQJsdWYa5/YERgx1WMh/UqWEKwQ1LD8Pft9AUIh
 wB+542HyITovtbr4V3+1nB5qCBPMk6CsvpIwiMAz82SYqmF1eD1EGuTSGZFcF8ugEcG8
 HrufQ2Tl6tfhnlNvJEnhHmC6A6NCb92SwkGY8DTiz6hbeXkAw5iTuEFAe7dAHL8ft7hE
 LG0kQWLpVbDMXgnglcKQ5kc6gOwaWDXNF3jfnyfNgTOtX2qehhY0S6+qcQV3waPEIsP9
 cSrQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:subject:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=ngixVgPobmG92uhg44nI1xIHBKzpcuKlhbFiuUamQ5U=;
 b=Yo2oxob5q3jf4XupFG7dMK5RZkiuHLN+jdiV24TcmQ1jfxL2Bp/Yhhmj3JQTrQnPPX
 ifY2f0qzzCGX2lQU56L10Hi6aK8PTjduJGlo1ExiapFV31f125tUkccCaKe3A8y516gQ
 BulgYlkRJOIWYE0tpJYRyEAVxwBEnBoY7lwYirbyQHFPQI5CyMTDnmR70qHPhc66i19P
 d2GbOJT0qi0iep0wbPvhlE4BOjcvjWa8Fmy+qIx8k8g1GQcOPqhElV/35I71C6Baip49
 AfW31rLVAkbMniToRT8jV8UtHUKBDRLRxZMS5DL3+AwXK5CkFC5/QTWzma1E0WiynMFb
 u2EA==
X-Gm-Message-State: ACrzQf1SW81sFSQgglumjRuNBqhFddaAeap+IGcnr2ZFpVemxLH6ekz4
 dXVlG0ulHHJ9ED3esg2Oh9WEgIkv3ttVTQ==
X-Google-Smtp-Source: AMsMyM7r0tIhfC21ViyJ/pr/AIDSpVFN5EdL6FAGxIKl76uv3nlrQQi14smtels7h/nsxcsckQCZvg==
X-Received: by 2002:a17:90a:8b93:b0:20a:bd84:5182 with SMTP id
 z19-20020a17090a8b9300b0020abd845182mr17223185pjn.161.1665153624483; 
 Fri, 07 Oct 2022 07:40:24 -0700 (PDT)
Received: from Ginko.local ([66.170.190.211]) by smtp.gmail.com with ESMTPSA id
 n6-20020a17090a670600b00203917403ccsm1591920pjj.1.2022.10.07.07.40.23
 for <58309 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 07 Oct 2022 07:40:24 -0700 (PDT)
From: Frank Pursel <frank.pursel@HIDDEN>
X-Google-Original-From: Frank Pursel <fpp@HIDDEN>
To: 58309 <at> debbugs.gnu.org
Subject: [BUG report] resolved
Date: Fri, 07 Oct 2022 07:40:23 -0700
Message-ID: <878rlrn1d4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58309
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Running guix pull succeeded.  It isn't clear what changed to allow it to
succeed when it had repeatedly failed over the past 48 hrs but this
ticket should now be closed.  I am grateful for the hidden hands and/or
magic that made this possible. 

Regards,
Frank




Information forwarded to bug-guix@HIDDEN:
bug#58309; Package guix. Full text available.

Message received at 58309 <at> debbugs.gnu.org:


Received: (at 58309) by debbugs.gnu.org; 5 Oct 2022 17:58:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 05 13:58:56 2022
Received: from localhost ([127.0.0.1]:58033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1og8fY-0007S7-E0
	for submit <at> debbugs.gnu.org; Wed, 05 Oct 2022 13:58:56 -0400
Received: from mail-pj1-f50.google.com ([209.85.216.50]:47075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <frank.pursel@HIDDEN>) id 1og8fU-0007Rm-Bq
 for 58309 <at> debbugs.gnu.org; Wed, 05 Oct 2022 13:58:54 -0400
Received: by mail-pj1-f50.google.com with SMTP id
 t12-20020a17090a3b4c00b0020b04251529so100770pjf.5
 for <58309 <at> debbugs.gnu.org>; Wed, 05 Oct 2022 10:58:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:subject:to:from:from:to:cc:subject
 :date; bh=6/N2Cp1anXYA6+iC0Z8moUeqQkKPKYeRYT/KsDcaczY=;
 b=WOSXee9vB3/agNn0mJF1j+min9bL48+JMKmTYX3iIZtFjeo7pJP+/zvS8DX2tUjKW7
 RtvTRsR7sM9v3m4Je/oo9em8I1HyL3zK7/gbpNs3BvTFEv3S47ghmsXdmVtzitLt8r+j
 igmQuVEa3FequfoWqgKRc2j5MoIyd2mBFzvUuje7eHwAnh7Br59/ll9jmQP/T8wvNolv
 C9twmOLyrscqAVDzMjuoLN/MGnmv61vja9NLPTEROUO7te+hEcx0fscH4b0PsVrOlCB7
 Vaux3miDY6ELX/ZZN2f+ryFrrF66QejxvCdzKVW0zFFW9+/5AYbqgMaQzyGCsFkMeNO6
 rsSg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:subject:to:from:x-gm-message-state
 :from:to:cc:subject:date;
 bh=6/N2Cp1anXYA6+iC0Z8moUeqQkKPKYeRYT/KsDcaczY=;
 b=sBEEQiGZMGGZtHwPKn1C1tEkIHushvxnNQnneq2/8N53/gTV71hreLW5M5SDZ/5Tc7
 UUoqy9ORF37E1efQsxgr/1cBaG3yqSJyw5m5Y9OXVk5dxsyMeZoEvR8HPY3GKLKNeirx
 pZCMJVCeSrzr/7KFS+waBeZVSimY18UkVJ9aR9c1MbQaNW3kA6CYovhGcplJtXXYtlia
 MgvaQSJ6Qth1YZDrL8ELo0vbiUuFZ4U7OoSXJUEly2qxZ9D1bE+ErzBLSjLAM1vyfFzj
 9gQeChpglOxO+cXBGSvolf06c6ALaCPoLe8q2izRfogP/aoZJc7HsmSeXvvwUADur2Lc
 XkiA==
X-Gm-Message-State: ACrzQf2LFMJ6lricyLNI+EgtewpBQh9TP8JG0efafq9IQmsHR3C0t3SY
 ms/Lgz8Tybu44/WMwAuDQWJ0Vnaqy/w=
X-Google-Smtp-Source: AMsMyM6WtA0JaoV0NNvgfSdU7yCKk6vunFhC6P3x3FJHARNDp+iDLRQWDMzyxvgzF+GK+bkypwFrRw==
X-Received: by 2002:a17:90a:4cc7:b0:202:d328:66e0 with SMTP id
 k65-20020a17090a4cc700b00202d32866e0mr923617pjh.196.1664992726047; 
 Wed, 05 Oct 2022 10:58:46 -0700 (PDT)
Received: from Ginko.local ([66.170.190.211]) by smtp.gmail.com with ESMTPSA id
 x2-20020aa79562000000b0053dec787698sm8087950pfq.175.2022.10.05.10.58.44
 for <58309 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 05 Oct 2022 10:58:45 -0700 (PDT)
From: Frank Pursel <frank.pursel@HIDDEN>
X-Google-Original-From: Frank Pursel <fpp@HIDDEN>
To: 58309 <at> debbugs.gnu.org
Subject: [BUG Report] found a bug? followup
Date: Wed, 05 Oct 2022 10:58:44 -0700
Message-ID: <87edvmm9t7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58309
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Performed another 'guix pull' to receive one more change which led to
the additional reporting:

guile-ssh-0.15.1-debug  238KiB 227.0MiB/s 00:00 [##################] 100.0%
Backtrace::
          15 (primitive-load "/gnu/store/k76q0ikk8a7769b0d2b9y3jj2mpaywh0-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 14 (_ _)
    159:9 13 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 12 (with-fluid* _ _ _)
    152:2 11 (with-fluid* _ _ _)
In ./guix/store.scm:
  2165:24 10 (run-with-store #<store-connection 256.99 7f657621c140> #<procedure 7f656de87c80 at ./guix/self.scm:12?> ?)
   1993:8  9 (_ #<store-connection 256.99 7f657621c140>)
In ./guix/gexp.scm:
   300:22  8 (_ #<store-connection 256.99 7f657621c140>)
   1181:2  7 (_ #<store-connection 256.99 7f65668495f0>)
   1047:2  6 (_ #<store-connection 256.99 7f65668495f0>)
    893:4  5 (_ #<store-connection 256.99 7f65668495f0>)
In ./guix/store.scm:
  2050:12  4 (_ #<store-connection 256.99 7f65668495f0>)
  1402:13  3 (map/accumulate-builds #<store-connection 256.99 7f65668495f0> #<procedure 7f65618e48e0 at ./guix/stor?> ?)
   1398:5  2 (map/accumulate-builds #<store-connection 256.99 7f65668495f0> #<procedure 7f656a61b840 at ./guix/stor?> ?)
  1414:15  1 (_ #<store-connection 256.99 7f65668495f0> ("/gnu/store/063db2n6gr2pqvy77fxp82p0ki6vwklz-guile-avah?" ?) ?)
  1414:15  0 (loop #f)

./guix/store.scm:1414:15: In procedure loop:
ERROR:
  1. &store-protocol-error:
      message: "`/gnu/store/njq3x65m5zc2kwynswzmpc3nfwcwnp15-guix-1.3.0-29.9e46320/bin/guix substitute' died unexpectedly"
      status: 1
guix pull: error: You found a bug: the program '/gnu/store/k76q0ikk8a7769b0d2b9y3jj2mpaywh0-compute-guix-derivation'
failed to compute the derivation for Guix (version: "fd6cd9de8682c7ddf96bf8deb637b1ca6cdbd205"; system: "x86_64-linux";
host version: "e6777cfa5eb5e9c36eaf7810b42cac0fbcaa367c"; pull-version: 1).
Please report the COMPLETE output above by email to <bug-guix@HIDDEN>.





Information forwarded to bug-guix@HIDDEN:
bug#58309; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Oct 2022 16:45:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 05 12:45:17 2022
Received: from localhost ([127.0.0.1]:57920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1og7WH-0005UQ-FZ
	for submit <at> debbugs.gnu.org; Wed, 05 Oct 2022 12:45:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:56028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <frank.pursel@HIDDEN>) id 1og7WE-0005UE-TM
 for submit <at> debbugs.gnu.org; Wed, 05 Oct 2022 12:45:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51848)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <frank.pursel@HIDDEN>)
 id 1og7WE-0007B0-M8
 for bug-guix@HIDDEN; Wed, 05 Oct 2022 12:45:14 -0400
Received: from mail-pg1-x536.google.com ([2607:f8b0:4864:20::536]:44824)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <frank.pursel@HIDDEN>)
 id 1og7WC-0000Nb-SI
 for bug-guix@HIDDEN; Wed, 05 Oct 2022 12:45:14 -0400
Received: by mail-pg1-x536.google.com with SMTP id c7so15702059pgt.11
 for <bug-guix@HIDDEN>; Wed, 05 Oct 2022 09:45:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:subject:to:from:from:to:cc:subject
 :date; bh=qGgAV8DftL10HLwo7ufwBbPwFd7jwy9/PA5m+p0Pm9I=;
 b=HjfnHPRi3WbeMRXRKW/oOACsnDaak6HVCyqXmTt8D1GV2K8oEHHnnaDtvO8hkdiyVt
 opmvfa20r66hgFkkOaoIB25Dh5PuEFDeyHTTnQ745x8X8fKLxqitw4PAX3W42NoVQDW+
 Zdo5rsaByzJid2JbOzjj6w0Xqy1zzuhoI618SNjeDnMwWtQ9kK29t+zFtQc6eZzSVPPt
 mLQ6MWqdKZDCqLXaQd1pNIxRYeL/i1zi0XP3EtMvBR9mjjyqnC+LCHcshsOhyULcInPs
 mdjndl11U9uMeAokjwpnTqX/sxUoPPu3c8FxCt/zh2jayHGPbX91jMOXS2V/l8Y9qxg1
 CkXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:subject:to:from:x-gm-message-state
 :from:to:cc:subject:date;
 bh=qGgAV8DftL10HLwo7ufwBbPwFd7jwy9/PA5m+p0Pm9I=;
 b=vICivywMgaTapfIfqmsR25E6IQHlPJaU7IfZ9wfOJ8nXVt6XJncYonlxDCVjMOEwKD
 xbN75v66H3nYEiK268+xSSUvv4jlhStqciX2T5aPK5aY5q09qC7EEZ6fUKiJx09R5aP3
 DIu7xXSou05bNDnipDheEU4dtIa6sX12j15vnPK03v0E9kQ9NKnuWdaGT3L5NPW+X3IP
 rzwVOsphOfezt6eR7W7b1K8GelyFKDAjvuhn14aminkI3xxNO1j3ndkolCn7RxvGfE05
 LErENrdnn09OtL9rCBnVayjFXDCHz1K/fhaa/o2aFxUnQLAkoDEin+3o+x2NgzDyyPN6
 GGnA==
X-Gm-Message-State: ACrzQf0yQ+EnXjHCyVn7JTnDIiKgmKLb+L2sif3RUlwp7Qqo8ZOZKnJZ
 /mdKr/41ey9g6m9LxFVc9ySH0Yclfn0=
X-Google-Smtp-Source: AMsMyM5lGtlQtximOhktxfKzlTdforF9rAGsk4PL4RlToqbyFvwQZU46+XjcSnkU6Z54IFDCPqI+TQ==
X-Received: by 2002:a05:6a00:1584:b0:561:e48f:9faa with SMTP id
 u4-20020a056a00158400b00561e48f9faamr672493pfk.51.1664988310549; 
 Wed, 05 Oct 2022 09:45:10 -0700 (PDT)
Received: from Ginko.local ([66.170.190.211]) by smtp.gmail.com with ESMTPSA id
 188-20020a6204c5000000b005289a50e4c2sm11087531pfe.23.2022.10.05.09.45.09
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 05 Oct 2022 09:45:10 -0700 (PDT)
From: Frank Pursel <frank.pursel@HIDDEN>
X-Google-Original-From: Frank Pursel <fpp@HIDDEN>
To: bug-guix@HIDDEN
Subject: [BUG Report] found a bug?
Date: Wed, 05 Oct 2022 09:45:09 -0700
Message-ID: <87h70imd7u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::536;
 envelope-from=frank.pursel@HIDDEN; helo=mail-pg1-x536.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Dutifully reporting the output from today's 'guix pull':

 gnutls-3.7.2-doc  1.0MiB 659KiB/s 00:01 [###############   ]  84.1-Backtrace:
          18 (primitive-load "/gnu/store/8b0z5hm1kxha84g367yfshxjf1q4kka2-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 17 (_ _)
    159:9 16 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 15 (with-fluid* _ _ _)
    152:2 14 (with-fluid* _ _ _)
In ./guix/store.scm:
  2165:24 13 (run-with-store #<store-connection 256.99 7fd346645140> #<procedure 7fd330be14b0 at ./guix/self.scm:12?> ?)
   1993:8 12 (_ #<store-connection 256.99 7fd346645140>)
In ./guix/gexp.scm:
   300:22 11 (_ #<store-connection 256.99 7fd346645140>)
   1181:2 10 (_ #<store-connection 256.99 7fd32ddcae10>)
   1047:2  9 (_ #<store-connection 256.99 7fd32ddcae10>)
    893:4  8 (_ #<store-connection 256.99 7fd32ddcae10>)
In ./guix/store.scm:
  2050:12  7 (_ #<store-connection 256.99 7fd32ddcae10>)
  1402:13  6 (map/accumulate-builds #<store-connection 256.99 7fd32ddcae10> #<procedure 7fd33b44bc80 at ./guix/stor?> ?)
   1398:5  5 (map/accumulate-builds #<store-connection 256.99 7fd32ddcae10> #<procedure 7fd32cf8c060 at ./guix/stor?> ?)
  1414:15  4 (_ #<store-connection 256.99 7fd32ddcae10> ("/gnu/store/b59p3465k0gfhl2zirjsx1n0sh7pnm08-guile-ssh-?" ?) ?)
  1414:15  3 (loop #f)
   708:11  2 (process-stderr #<store-connection 256.99 7fd32ddcae10> _)
In ./guix/serialization.scm:
   102:11  1 (read-int #<input-output: file 10>)
     80:6  0 (get-bytevector-n* #<input-output: file 10> 8)

./guix/serialization.scm:80:6: In procedure get-bytevector-n*:
ERROR:
  1. &nar-error:
      file: #f
      port: #<input-output: file 10>
guix pull: error: You found a bug: the program '/gnu/store/8b0z5hm1kxha84g367yfshxjf1q4kka2-compute-guix-derivation'
failed to compute the derivation for Guix (version: "be1d561f1a74d158d67623bf037727918781bd96"; system: "x86_64-linux";
host version: "e6777cfa5eb5e9c36eaf7810b42cac0fbcaa367c"; pull-version: 1).
Please report the COMPLETE output above by email to <bug-guix@HIDDEN>.





Acknowledgement sent to Frank Pursel <frank.pursel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#58309; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 20 Oct 2022 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.